4 پست در این موضوع قرار دارد

ارسال شده در (ویرایش شده)

با سلام من از افزونه  JSON API   استفاده میکنم

زمانی که ادرس سایتم رو وارد میکنم بدین شکل:

mysite.com/?json=get_post

پیام زیر برام میاد

{"status":"error","error":"Include 'id' or 'slug' var in your request."}

در حالی که در :

mysite.com/?json=get_recent-post

مشکلی ندارم . خواهشا اساتید عزیز راهنمایی کنند که با زدن /?json=get_post  پستام بیاد و error نده

ویرایش شده در توسط Sami Musician
0

به اشتراک گذاری این پست


لینک به پست

سلام و درود @Sami Musician

 

get_post که معنی نداره باید بگید کدوم پست رو بده بهتون.

پارامتر دومی هست به اسم post_id که آیدی پستی رو که میخواید بهتون بده باید بدید بهش.

mysite.com/?json=get_post&post_id=777

مثلا دستور فوق اطلاعات پست با آیدی 777 رو برمیگردونه.

 

موفق باشید

0

به اشتراک گذاری این پست


لینک به پست

با سپاس از شما برادر و استاد عزیز

ولی من نمیخام یه پست رو بیاره چون برا اپلیکین میخام . میخام تمام پستهای سایتمو بیاره

قاعدتا وقتی get_post رو میزنم نباید

{"status":"error","error":"Include 'id' or 'slug' var in your request."}

بیاد

0

به اشتراک گذاری این پست


لینک به پست
در 2 ساعت قبل، Sami Musician گفته است :

با سپاس از شما برادر و استاد عزیز

ولی من نمیخام یه پست رو بیاره چون برا اپلیکین میخام . میخام تمام پستهای سایتمو بیاره

قاعدتا وقتی get_post رو میزنم نباید

{"status":"error","error":"Include 'id' or 'slug' var in your request."}

بیاد

اصلا زیادی داری خودتو اذیت میکنی خود وردپرس API داره نمیخواست افزونه منقضی شده JSON API رو نصب کنی.

توی API اصلی وردپرس آخرین پست ها اینجاست:

mysite.com/wp-json/wp/v2/posts

 

1

به اشتراک گذاری این پست


لینک به پست

برای ارسال نظر یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید نظر ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در انجمن ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری